Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class DefaultLogger

    java.lang.Object
      edu.stanford.smi.protege.util.DefaultLogger

    public class DefaultLogger

extends Object

Default Logger implementation. This implementation writes messages to System.err.

Author:
  Ray Fergerson

Constructor Summary
`DefaultLogger()`
`DefaultLogger(Writer writer)`

Method Summary
`void` | `enter(Object object, String methodName, Object[] arguments)`
`void` | `error(String entry, Object object, String methodName, Object[] arguments)`
`void` | `exception(Throwable t, Object object, String methodName, Object[] arguments)`
`void` | `exit(Object object, String methodName, Object[] arguments)`
`int` | `getErrorCount()`
`int` | `getTraceCount()`
`int` | `getWarningCount()`
`void` | `resetCounts()`
`void` | `setDisplayTrace(boolean b)`
`void` | `setDisplayWarnings(boolean b)`
`void` | `setDoPause(boolean b)`
`void` | `setShowStack(boolean b)`
`void` | `stack(String entry, Object object, String method, Object[] arguments)`
`void` | `trace(String entry, Object object, String methodName, Object[] arguments)`
`void` | `warning(String entry, Object object, String methodName, Object[] arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLogger

    public DefaultLogger()

### DefaultLogger

    public DefaultLogger(Writer writer)

Method Detail

### enter

    public void enter(Object object,
                      String methodName,
                      Object[] arguments)

### error

    public void error(String entry,
                      Object object,
                      String methodName,
                      Object[] arguments)

### exception

    public void exception(Throwable t,
                          Object object,
                          String methodName,
                          Object[] arguments)

### exit

    public void exit(Object object,
                     String methodName,
                     Object[] arguments)

### getErrorCount

    public int getErrorCount()

### getTraceCount

    public int getTraceCount()

### getWarningCount

    public int getWarningCount()

### resetCounts

    public void resetCounts()

### setDisplayTrace

    public void setDisplayTrace(boolean b)

### setDisplayWarnings

    public void setDisplayWarnings(boolean b)

### setDoPause

    public void setDoPause(boolean b)

### setShowStack

    public void setShowStack(boolean b)

### stack

    public void stack(String entry,
                      Object object,
                      String method,
                      Object[] arguments)

### trace

    public void trace(String entry,
                      Object object,
                      String methodName,
                      Object[] arguments)

### warning

    public void warning(String entry,
                        Object object,
                        String methodName,
                        Object[] arguments)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.